commit:     923958b08d3b0e7804779ff6d38afad1a8c66163
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  9 13:44:16 2018 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Fri Nov  9 13:47:05 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=923958b0

dev-python/cheroot: py3_7 + eapi7

Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 dev-python/cheroot/cheroot-6.0.0-r1.ebuild | 31 ++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/dev-python/cheroot/cheroot-6.0.0-r1.ebuild 
b/dev-python/cheroot/cheroot-6.0.0-r1.ebuild
new file mode 100644
index 00000000000..dbb0b38f70d
--- /dev/null
+++ b/dev-python/cheroot/cheroot-6.0.0-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Cheroot is the high-performance, pure-Python HTTP server used by 
CherryPy."
+HOMEPAGE="http://www.cherrypy.org/ https://pypi.org/project/Cheroot/ 
https://github.com/cherrypy/cheroot";
+SRC_URI="mirror://pypi/C/${PN/c/C}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+       >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+       test? (
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       py.test -v || die "tests failed under ${EPTYHON}"
+}

Reply via email to